| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Protocols
Protocols.DNS
Protocols.DNS.client

# Method Protocols.DNS.client()->gethostbyaddr()

Method gethostbyaddr

  `array gethostbyaddr(string hostip)`

Description

  Queries the host name or ip from the default or given DNS server. The result is an array with three elements,

Returns

  The requested data about the specified host.

  Array
  `string hostip` | The host IP.
  `array(string) ip` | IP number(s).
  `array(string) aliases` | DNS name(s).